summaryrefslogtreecommitdiff
path: root/ci/jenkins_run_tests.sh
diff options
context:
space:
mode:
authorBryan McLellan <btm@loftninjas.org>2012-11-29 17:04:35 -0500
committerBryan McLellan <btm@loftninjas.org>2012-11-29 17:06:03 -0500
commit72aee57b0360773d846c4e8e55d5c6129b70a374 (patch)
tree14ee97582beee3046ad0d71290191263f8f51073 /ci/jenkins_run_tests.sh
parent0cb93634fa7f2b36e81d4d438ec19bd2a1277946 (diff)
downloadchef-72aee57b0360773d846c4e8e55d5c6129b70a374.tar.gz
Preserve return code from running rspec
Diffstat (limited to 'ci/jenkins_run_tests.sh')
-rwxr-xr-xci/jenkins_run_tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/ci/jenkins_run_tests.sh b/ci/jenkins_run_tests.sh
index 8139d24d8c..293ec84da5 100755
--- a/ci/jenkins_run_tests.sh
+++ b/ci/jenkins_run_tests.sh
@@ -10,4 +10,10 @@ ruby -v;
# This should take care of Gemfile changes that result in "bad" bundles without forcing us to rebundle every time
bundle install --binstubs --path vendor/bundle || ( rm Gemfile.lock && bundle install --binstubs --path vendor/bundle )
bin/rspec -r rspec_junit_formatter -f RspecJunitFormatter -o test.xml -f documentation spec;
+RSPEC_RETURNCODE=$?
+
+# move the rspec results back into the jenkins working directory
mv test.xml ..
+
+# exit with the result of running rspec
+return $RSPEC_RETURNCODE